Error Read timed out 12/9/2023

Hello,
Im install cert bot for snap ubuntu 23.10
im use web-server = nginx
Pls help me(

im test:
sudo ifconfig enp4s0 mtu 1300 - no work

telnet supporters.eff.org 443
Trying 173.239.79.196...
Connected to supporters.eff.org.
Escape character is '^]'.

My error:

Deploying certificate
Successfully deployed certificate for www.mydomen.com to /etc/nginx/sites-enabled/localhost
Congratulations! You have successfully enabled HTTPS on https://www.mydomen.com
An unexpected error occurred:
requests.exceptions.ReadTimeout: HTTPSConnectionPool(host='supporters.eff.org', port=443): Read timed out. (read timeout=60)
Ask for help or search for solutions at https://community.letsencrypt.org. See the logfile /var/log/letsencrypt/letsencrypt.log or re-run Certbot with -v for more details.

Error log:

2023-12-09 12:33:13,925:DEBUG:certbot._internal.display.obj:Notifying user: Congratulations! You have successfully enabled HTTPS on https://mydomen.com
2023-12-09 12:33:13,926:INFO:certbot._internal.eff:Subscribe to the EFF mailing list (email: myemail@gmail.com.
2023-12-09 12:33:13,926:DEBUG:certbot._internal.eff:Sending POST request to Read Our Newsletter | Electronic Frontier Foundation
{'data_type': 'json', 'email': 'myemail@gmail.com', 'form_id': 'eff_supporters_library_subscribe_form'}
2023-12-09 12:33:13,930:DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): supporters.eff.org:443
2023-12-09 12:34:14,674:DEBUG:certbot._internal.log:Exiting abnormally:
Traceback (most recent call last):
File "/snap/certbot/3566/lib/python3.8/site-packages/urllib3/connectionpool.py", line 467, in _make_request
six.raise_from(e, None)
File "", line 3, in raise_from
File "/snap/certbot/3566/lib/python3.8/site-packages/urllib3/connectionpool.py", line 462, in _make_request
httplib_response = conn.getresponse()
File "/snap/certbot/3566/usr/lib/python3.8/http/client.py", line 1348, in getresponse
response.begin()
File "/snap/certbot/3566/usr/lib/python3.8/http/client.py", line 316, in begin
version, status, reason = self._read_status()
File "/snap/certbot/3566/usr/lib/python3.8/http/client.py", line 277, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/snap/certbot/3566/usr/lib/python3.8/socket.py", line 669, in readinto
return self._sock.recv_into(b)
File "/snap/certbot/3566/usr/lib/python3.8/ssl.py", line 1270, in recv_into
return self.read(nbytes, buffer)
File "/snap/certbot/3566/usr/lib/python3.8/ssl.py", line 1128, in read
return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

httplib_response = self._make_request(

File "/snap/certbot/3566/lib/python3.8/site-packages/urllib3/connectionpool.py", line 469, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File "/snap/certbot/3566/lib/python3.8/site-packages/urllib3/connectionpool.py", line 358, in _raise_timeout
raise ReadTimeoutError(
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='supporters.eff.org', port=443): Read timed out. (read timeout=60)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/snap/certbot/3566/bin/certbot", line 8, in
sys.exit(main())
File "/snap/certbot/3566/lib/python3.8/site-packages/certbot/main.py", line 19, in main
return internal_main.main(cli_args)
File "/snap/certbot/3566/lib/python3.8/site-packages/certbot/_internal/main.py", line 1869, in main
return config.func(config, plugins)
File "/snap/certbot/3566/lib/python3.8/site-packages/certbot/_internal/main.py", line 1483, in run
eff.handle_subscription(config, le_client.account)
File "/snap/certbot/3566/lib/python3.8/site-packages/certbot/_internal/eff.py", line 56, in handle_subscription
subscribe(acc.meta.register_to_eff)
File "/snap/certbot/3566/lib/python3.8/site-packages/certbot/_internal/eff.py", line 91, in subscribe
_check_response(requests.post(url, data=data, timeout=60))
File "/snap/certbot/3566/lib/python3.8/site-packages/requests/api.py", line 115, in post
return request("post", url, data=data, json=json, **kwargs)
File "/snap/certbot/3566/lib/python3.8/site-packages/requests/api.py", line 59, in request
return session.request(method=method, url=url, **kwargs)
File "/snap/certbot/3566/lib/python3.8/site-packages/requests/sessions.py", line 589, in request
resp = self.send(prep, **send_kwargs)
File "/snap/certbot/3566/lib/python3.8/site-packages/requests/sessions.py", line 703, in send
r = adapter.send(request, **kwargs)
File "/snap/certbot/3566/lib/python3.8/site-packages/requests/adapters.py", line 532, in send
raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPSConnectionPool(host='supporters.eff.org', port=443): Read timed out. (read timeout=60)
2023-12-09 12:34:14,680:ERROR:certbot._internal.log:An unexpected error occurred:
2023-12-09 12:34:14,681:ERROR:certbot._internal.log:requests.exceptions.ReadTimeout: HTTPSConnectionPool(host='supporters.eff.org', port=443): Read timed out. (read timeout=60)
2023-12-09 12:34:14,681:DEBUG:certbot._internal.display.obj:Notifying user: If you like Certbot, please consider supporting our work by:

First, something has gone wrong with the SSL config for that domain. Possibly because your DNS IP is pointing to very old software (Apache 1.3 and php 5). If this is not your actual domain name please do not use other people's names. Use example.com if you must

curl -I http://mydomen.com
HTTP/1.1 200 OK
Date: Sat, 09 Dec 2023 13:20:44 GMT
Server: Apache/1.3.24 (Unix) PHP/5.0.1

As for the other problem, does it recur? It looks like a problem with Certbot registering your email address with the EFF. Sometimes temp problems occur and just try again.

3 Likes

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.